%% load default values of dimensional parameters (CGS units)
% Source generally (except as noted below) as per table in 
% Rees Jones, D. W., and M. G. Worster (2014), 
% A physically based parameterization of gravity drainage for sea-ice modeling, 
% J. Geophys. Res. Oceans, 119, 5599–5621, doi:10.1002/ 2013JC009296.

cl=4.00; 
cs=1.932;
kl=0.00523;
ks=0.0202924;
L=306.278;

TB=-20.0; % varied in paper, this is just default
Tl=-1.90; % different relative to 2014 paper above, as discussed in manuscript
C0=35.5;
S0=0.3*C0; % varied in paper, this is just default
m=0.054;
